.shingo_modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1001;
    opacity: 0;
    visibility: hidden;
    transition: 0.2s;
}

.shingo_modal.open {
    opacity: 1;
    visibility: visible;
}

.shingo_modal .shingo_modal_wrap {
    box-shadow: 0 0 20px rgba(26, 12, 12, 0.09);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-color: #fff;
    border-radius: 25px;
    padding: 75px 10px 70px 60px;
    z-index: 1;
    max-width: 820px;
    width: calc(100% - 30px);
}

.shingo_modal .close_btn {
    display: block;
    position: absolute;
    top: 35px;
    right: 35px;
    width: 13px;
    height: 14px;
}

.shingo_modal .close_btn span {
    position: relative;
}

.shingo_modal .close_btn span::after, .shingo_modal .close_btn span::before {
    content: '';
    display: block;
    width: 2px;
    height: 17px;
    background-color: #999999;
    position: absolute;
    top: 50%;
    left: 50%;
}

.shingo_modal .close_btn span::after {
    transform: translate(6px,-2px) rotate(45deg);
}

.shingo_modal .close_btn span::before {
    transform: translate(6px,-2px) rotate(-45deg);
}

.shingo_modal .modal_top h2 {
    font-size: 38px;
    font-weight: 700;
    color: var(--main-point-color);
    line-height: 1em;
    margin-bottom: 45px;
}

.shingo_modal .modal_cont {
    overflow-y: hidden;
    max-height: 476px;
    padding-right: 43px;
}

.shingo_modal .modal_cont:hover {
    overflow-y: scroll;
}

.shingo_modal .modal_cont::-webkit-scrollbar {
    width: 7px;
}

.shingo_modal .modal_cont::-webkit-scrollbar-button {
    display: none;
}

.shingo_modal .modal_cont::-webkit-scrollbar-track {
    border-radius: 3.3px;
    background-color: #f6f6f6;
}

.shingo_modal .modal_cont::-webkit-scrollbar-thumb {
    background-color: #e6e6e6;
}

.shingo_modal .modal_cont.no_scroll .row_cont {
    width: calc(100% - 7px);
}

.shingo_modal .modal_cont h4 {
    color: #5d5d5d;
    line-height: 1em;
    font-size: 16px;
    margin-bottom: 12px;
    position: relative;
    display: inline-block;
}

.shingo_modal .modal_cont .text {
    color: #999999;
    line-height: 25px;
    font-size: 15px;
}

.shingo_modal .essential {
    display: inline-block;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: var(--main-point-color-hover);
    position: absolute;
    top: 0;
    right: -10px;
}

.shingo_modal .row_cont + .row_cont {
    margin-top: 45px;
}

.shingo_modal .row_cont .input_box {
    width: 100%;
    height: 200px;
    border: 1px solid #e1e1e1;
    border-radius: 10px;
    padding: 7px 5px;
    transition: 0.2s;
}

.shingo_modal .row_cont .input_box:hover {
    border-color: var(--main-point-line-color-hover) !important;
}

.shingo_modal .row_cont textarea {
    width: 100%;
    height: 186px;
    padding: 13px 15px;
    font-size: 15px;
    resize: none;
    border: none;
}

.shingo_modal .row_cont textarea::placeholder {
    color: #999999;
}

.shingo_modal .row_cont textarea::-webkit-scrollbar-button {
    display: none;
}

.shingo_modal .row_cont textarea::-webkit-scrollbar-track {
    background-color: #fff;
}

.shingo_modal .row_cont textarea::-webkit-scrollbar-thumb {
    background-color: #e9e9e9;
}

.shingo_modal .modal_bot {
    margin-top: 40px;
}

.shingo_modal .modal_bot .use_form_btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding-right: 50px;
}

.shingo_modal .modal_bot .use_form_btn .btn {
    outline: none;
    line-height: 1em;
    min-width: 100px;
    border-radius: 13px !important;
    background-color: #e8e8e8;
    color: #5d5d5d;
    font-size: 15px;
    font-weight: 600;
    padding: 17.5px 15px 15.5px;
    transition: 0.2s;
}

.shingo_modal .modal_bot .use_form_btn .btn:not(.btn_main):hover {
    background-color: #dbdbdb;
}

.shingo_modal .modal_bot .use_form_btn .btn_main {
    color: var(--main-point-color-hover);
    background-color: transparent;
    position: relative;
    overflow: hidden;
}

/* .shingo_modal .modal_bot .use_form_btn .btn_main:hover{filter: brightness(93%);} */
.shingo_modal .modal_bot .use_form_btn .btn_main::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--main-point-bg-soft-color);
    z-index: -1;
    transition: filter 0.2s ease-in-out;
}

.shingo_modal .modal_bot .use_form_btn .btn_main:hover::before {
    filter: brightness(90%) contrast(120%) saturate(150%);
}

.shingo_modal .shingo_modal_bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.2);
}
